eCMRhub.docs
API referenceDocuments

List documents

GET
/rest/v1/documents

Issued documents of the company. Returns an array; an id you cannot see returns an empty array.

Authorization

apikeybearerAuth
headerapikey<token>
headerAuthorizationBearer <JWT>

Query Parameters

select?string
Default"body"
id?string

PostgREST equality filter: eq.

Response Body

Success

application/json
  1. response
[index: integer]?
Example Request
curl -X GET 'https://api-ecmr-dev.lucaspiera.com/rest/v1/documents'
Example Response
[  {    "body": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",      "type": {        "name": "string",        "version": "string"      },      "reference": "string",      "currentVersionId": "7d3c5b66-ff6d-477a-9982-96f00519947f",      "state": "string",      "createdAt": "2019-08-24T14:15:22Z"    }  }]